svn commit: r253520 - head/etc

Hiroki Sato hrs at FreeBSD.org
Sun Jul 21 15:26:26 UTC 2013


Author: hrs
Date: Sun Jul 21 15:26:25 2013
New Revision: 253520
URL: http://svnweb.freebsd.org/changeset/base/253520

Log:
  Do not set ND6_IFF_ACCEPT_RTADV on if_bridge(4) interfaces when
  ipv6_enable=yes.
  
  MFC after:	3 days

Modified:
  head/etc/network.subr

Modified: head/etc/network.subr
==============================================================================
--- head/etc/network.subr	Sun Jul 21 14:27:07 2013	(r253519)
+++ head/etc/network.subr	Sun Jul 21 15:26:25 2013	(r253520)
@@ -113,9 +113,18 @@ ifconfig_up()
 		# backward compatibility: $ipv6_enable
 		case $ipv6_enable in
 		[Yy][Ee][Ss]|[Tt][Rr][Uu][Ee]|[Oo][Nn]|1)
-			if ! checkyesno ipv6_gateway_enable; then
-				_ipv6_opts="${_ipv6_opts} accept_rtadv"
-			fi
+			case $1 in
+			bridge[0-9]*)
+				# No accept_rtadv by default on if_bridge(4)
+				# to avoid a conflict with the member
+				# interfaces.
+			;;
+			*)
+				if ! checkyesno ipv6_gateway_enable; then
+					_ipv6_opts="${_ipv6_opts} accept_rtadv"
+				fi
+			;;
+			esac
 		;;
 		esac
 
@@ -550,9 +559,18 @@ ipv6_autoconfif()
 	[Yy][Ee][Ss]|[Tt][Rr][Uu][Ee]|[Oo][Nn]|1)
 		if checkyesno ipv6_gateway_enable; then
 			return 1
-		else
-			return 0
 		fi
+		case $1 in
+		bridge[0-9]*)
+			# No accept_rtadv by default on if_bridge(4)
+			# to avoid a conflict with the member
+			# interfaces.
+			return 1
+		;;
+		*)
+			return 0
+		;;
+		esac
 	;;
 	esac
 


More information about the svn-src-head mailing list